<template>
  <section class="px-2 px-md-0 py-md-7">
    <b-container>
      <b-row>
        <b-col col sm="8" md="6" lg="4" class="mx-auto">
          <b-card class="mb-0" no-body>
            <b-card-header><h5 class="card-title">Login to your account</h5></b-card-header>
            <b-card-body class="p-3">
              <a href="/auth/login/google" class="btn btn-block btn-social btn-icon-left btn-google-plus"><i class="fab fa-google"></i> Login with Google</a>
              <a href="/auth/login/facebook" class="btn btn-block btn-social btn-icon-left btn-facebook"><i class="fab fa-facebook-f"></i> Login with Facebook</a>
              <div class="separator"><span>or</span></div>
              <b-form @submit="submitForm">
                <b-form-group>
                  <b-input-group class="mb-2">
                    <b-input-group-prepend>
                      <span class="input-group-text py-0 px-1"><i class="far fa-envelope" style="width:32px;"></i></span>
                    </b-input-group-prepend>
                    <b-form-input
                            v-model="form.email"
                            required
                            placeholder="Enter email"
                            tabindex="1"

                    ></b-form-input>
                  </b-input-group>
                  <b-input-group>
                    <b-input-group-prepend>
                      <span class="input-group-text py-0 px-1" v-html="password_identicon"></span>
                    </b-input-group-prepend>
                    <b-form-input
                            v-model="form.password"
                            type="password"
                            placeholder="Password"
                            tabindex="2"
                            required

                    ></b-form-input>
                  </b-input-group>
                </b-form-group>
                <div class="form-group custom-control custom-checkbox">
                  <input type="checkbox" class="custom-control-input" id="remember" v-model="form.remember">
                  <label class="custom-control-label" for="remember">Remember me</label>
                </div>
                <b-btn block variant="primary" type="submit">Sign In</b-btn>
              </b-form>
              <div class="separator mt-4"><span>Don't have an account?</span></div>
              <a href="/auth/register" class="btn btn-block btn-default">Register</a>
            </b-card-body>
          </b-card>
        </b-col>
      </b-row>
    </b-container>
  </section>
</template>

<script>
  export default {
    name: 'LoginForm'
  }
</script>

<style scoped>

</style>
